Bug Hunting Session
Bug 127773 - HIG AutoCorrect Dialog update
Summary: HIG AutoCorrect Dialog update
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Dialog AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2019-09-26 07:36 UTC by andreas_k
Modified: 2019-11-13 06:32 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
AutoCorrect Dialog Tabs (668.25 KB, image/png)
2019-09-26 07:36 UTC, andreas_k
Details
AutoCorrect Dialog Tabs 02 (325.51 KB, image/png)
2019-09-26 23:13 UTC, andreas_k
Details
AutoCorrect Dialog Tabs 03 (395.64 KB, image/png)
2019-10-18 10:08 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-09-26 07:36:29 UTC
Created attachment 154514 [details]
AutoCorrect Dialog Tabs

Attached the proposed Changes of the AutoCorrect Dialog:

Tab 1: Replace
- Replace and Width are now Headers and bold (All tabs has now headers in bold)
- Text only is on very right cause AutoInclude (Tab 2) is also very right otherwise you get in trouble maybe cause in Tab 2 the headers are very long.

Tab 2: Exceptions
- AutoInclude are now in the row of the headers (as Text only on Tab 1)
- More space for the content and this one chechbox didn't need the space of one row
- I didn't move the AutoInclude checkbox to a new row cause the content is a long list (more rows will make the importend list smaler
- Second option would be to add each list into one column so you have a two column list, but than you have troubles with New, Delete buttons

Tab 3: Options
- I only add an Header (translation is needed) cause according to our HIG each section need an header

Tab 4: Localized Options
- Header was added
- Single and Double Quotes need less space

Tab 5: Word Completion
- added Headers (if someone has better labels, please comment)
- Accept with was moved to Word completion cause with Enable checkbox Accept with grayed out so it will be part of this group
- Headers are on top, Labels are left to the configure widget so all Labels are now left

Questions Tab 5
+ It would be awesome if the Return, 8, 1000 widgets would be all vertical align to each other but how could I do this?
+ I'm not 100% happy with checkbox When closing a document, remove the ...
Comment 1 Thomas Lendo 2019-09-26 21:36:55 UTC
(In reply to andreas_k from comment #0)
> Tab 1: Replace
> - Replace and Width are now Headers and bold (All tabs has now headers in
> bold)
Looks good despite they're no real headings.

> - Text only is on very right cause AutoInclude (Tab 2) is also very right
> otherwise you get in trouble maybe cause in Tab 2 the headers are very long.
Don't like that as this setting is directly linked to the 'With' field as written in the help: https://help.libreoffice.org/6.4/en-US/text/shared/01/06040200.html (Text only: Saves the entry in the With box without formatting. When the replacement is made, the text uses the same format as the document text.)

> Tab 2: Exceptions
> - AutoInclude are now in the row of the headers (as Text only on Tab 1)
This won't work with many languages that have longer strings than English, for example in German the second heading won't work.

> Tab 3: Options
> - I only add an Header (translation is needed) cause according to our HIG
> each section need an header
Is duplicating the tab name really necessary? I would like to have it for a11y reasons in the dialog but it shouldn't visible in the UI for the eyes.

> Tab 4: Localized Options
> - Header was added
Same as in tab 3.

> - Single and Double Quotes need less spaces
The 'Default' buttons should go in a new row below as they work not only to the end quote but also to the start quote. Second issue is the string length. Please have always languages in mind with many many characters more than English. With that in mind, the whole changes in the below part of tab 4 won't work.

> Tab 5: Word Completion
> - added Headers (if someone has better labels, please comment)
> - Accept with was moved to Word completion cause with Enable checkbox Accept
> with grayed out so it will be part of this group
> - Headers are on top, Labels are left to the configure widget so all Labels
> are now left
In principal, this dialog needs improvement. For me the most important thing is to have appropriate indents. 'Enable word completion' and 'Collect words' are the main strings, all others are secondary strings which should be indented. What I don't like is the duplicating of the two headings. The more people must read to conceive the whole content of a dialog, the more untidy this dialog appears.
Comment 2 andreas_k 2019-09-26 23:13:11 UTC
Created attachment 154568 [details]
AutoCorrect Dialog Tabs 02

Thanks for the Feedback Thomas. This is (hopefully) how improvements should work.

Tab 1
- buttons are horizontal next to the main window
- text only checkbox is also horizontal in the last row
- reason is similar layout like Tab 2

Tab 2
- buttons and checkbox are to the bottom
- layout has now two columns
- benefit is to have more space/focus for the two list's

Tab 3
- No Header cause it was the same than tab name

Tab 4
- No Header
- Default button on the bottom
- than enough space for labels, ...

Tab 5
- yes that one need really some love
- two column layout first word completion second Collected words
- different commands -> different groups, less space two columns needed
- gray out work well if something is not selected
- accept width, mind. word length, max entries are not related to collected words, if someone know an good label, I make an group label for the three commands.
Comment 3 Heiko Tietze 2019-10-02 07:17:01 UTC
(In reply to andreas_k from comment #2)
> 
> Tab 2
> - buttons and checkbox are to the bottom
> - layout has now two columns
> - benefit is to have more space/focus for the two list's

Thomas' argument was the text length and side by side works even less than in a row with the checkbox. However, I like the layout (even when it's not really appropriate to the content). And we could wrap the text...

> Tab 3
> - No Header cause it was the same than tab name

I would go with headers even when it's the same as in the tab.

> Tab 5
> - yes that one need really some love

Looks much better now. Keep an eye on title/sentence style capitalization (Word completion, Collected Words)
Comment 4 Thomas Lendo 2019-10-02 19:57:54 UTC
Tab 1:
Is this according to our HIG that the buttons are so wide? I don't like that and that the buttons change their size if the user changes the size of the dialog. Feels wrong as buttons normally don't change their size.

I'm undecided which version of this tab is most clear for me. The width of the replace strings must not be as wide as the whole dialog, therefore I'm not against the current implemented design.

Tab 2:
Looking at the second proposal, it feels not neatly (clear) arranged for me to distinguish between the 2 columns. There are 2 Delete and 2 New buttons next to each other. Not a perfect way to enhance UX.
Also the width of the 2 columns isn't the same but they should. Please never make something in the UI depending on string length as we have many many localizations with the same diversity of different string lengths. (Now it looks like the column widths are the same as the English string lengths.)
Is there any possibility to have a better visible separation of the 2 columns?

In the current implementation, only the 'Autoinclude' checkboxes are looking wrong. All other content is well arranged in respect of the space it needs (the width of the fields must not be wider) and in a self-explanatory association of the buttons to the right fields.

Tab 3:
(In reply to Heiko Tietze from comment #3)
> > Tab 3
> > - No Header cause it was the same than tab name 
> I would go with headers even when it's the same as in the tab.
Hm, why wasting space when Andreas want to save space with his other changes?

Tab 5:
Really nice. Only the width of the button is something I want discuss.
Comment 5 Cor Nouws 2019-10-09 19:18:00 UTC
I would align "Text Only" (first tab) and AutoInclude (2nd tab) vertical with the top input box.
Comment 6 Heiko Tietze 2019-10-10 07:33:54 UTC Comment hidden (off-topic)
Comment 7 andreas_k 2019-10-17 20:18:26 UTC
(In reply to Cor Nouws from comment #5)
> I would align "Text Only" (first tab) and AutoInclude (2nd tab) vertical
> with the top input box.

Thanks for the input work well.
Comment 8 Commit Notification 2019-10-18 08:42:25 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/06cfc566a4734bd8d517920d3dfc210afe068295

tdf#127773 AutoCorrect Dialog Word Completion Tab update

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Mike Kaganski 2019-10-18 09:37:32 UTC
Please don't change Exceptions tab as in comment 2! This creates a false impression that the two lists may be linked (some kind of correspondence) somehow; something like in Tools->Customize->Menus, where the two lists places side-by-side are interconnected by the add/remove arrow buttons.
Comment 10 andreas_k 2019-10-18 09:42:37 UTC
(In reply to Mike Kaganski from comment #9)
> Please don't change Exceptions tab as in comment 2! This creates a false
> impression that the two lists may be linked (some kind of correspondence)
> somehow; something like in Tools->Customize->Menus, where the two lists
> places side-by-side are interconnected by the add/remove arrow buttons.

As I reply at comment #7 I only move the AutoInclude checkbox left to the input field at the New, Delete button column. that's fine and also respect feedback from comment #9.
Comment 11 andreas_k 2019-10-18 10:08:33 UTC
Created attachment 155111 [details]
AutoCorrect Dialog Tabs 03

Tab 1, 2 and 5 are done (from my point of view) patches are prepaird.

Thanks everybody for the feedback to improve this dialog. Should I update also Tab 3 and 4?
Comment 12 Commit Notification 2019-10-18 13:54:32 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f5bdc014192f92d06ad278ac4ccbdb52c4958b6a

tdf#127773 AutoCorrect Dialog AutoCorrect Tab update

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-10-20 23:37:44 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3e8fb860d92160e41a1aef5a0a53e4447120eb2e

tdf#127773 AutoCorrect Dialog Wordcomplete Tab sizegroup fix

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-10-21 06:13:54 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/de4839e66d3d195315729b95cc144cdab96b6e74

tdf#127773 AutoCorrect Dialog Localized Tab

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-10-21 14:33:05 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9f66703a908be643aaefa892fa86f8fac84be8cc

tdf#127773 AutoCorrect Dialog Exceptions tab update

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 tommy27 2019-11-07 08:34:51 UTC
hello, nice work but I don't understand the rationale of moving the "New" and "Delete" buttons from the top of the list to the bottom.

In a nomral scenario it's handy to have the new and delete buttons aligned with the first "replace" "with" fields.

once you manually enter a new autocorrect pair it's easier to confirm it by clicking the new button if it's close to the field where you just typed.

having to move down with mouse at the button seems annoying
so please consider reverting the position to the top where it has always been.
Comment 17 andreas_k 2019-11-07 15:56:41 UTC
patch is on the way. I don't want to fix someone else workflow.
Comment 18 Commit Notification 2019-11-07 17:15:16 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/47471a5904cd21bbd542fa91d792cfa996f9068a

tdf#127773 AutoCorrect Dialog Buttons on top

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 tommy27 2019-11-13 06:32:15 UTC
thanks for the fix.